package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by ruihong on 2019/8/19.
 */

public class HmLbBean {

    /**
     * state : 1
     * msg : 查询成功
     * data : [{"ID":"B5917F290B22486ABA6ABF22398D632E","JHMC":"一类行为安全观察计划","ST":"2019/8/19 10:00:07","ET":"2019/8/26 10:00:07","SPZT":"待审核","SQR":"周少旭","SQSJ":"2019/8/19 11:43:58","SPR":"","SPSJ":"","HMBZ":"测试豁免原因"}]
     */

    private int state;
    private String msg;
    private List<DataBean> data;

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean implements Parcelable {

        private String ID;
        private String JHMC;
        private String ST;
        private String ET;
        private String SPZT;
        private String SQR;
        private String SQSJ;
        private String SPR;
        private String SPSJ;
        private String HMBZ;

        public String getID() {
            return ID;
        }

        public void setID(String ID) {
            this.ID = ID;
        }

        public String getJHMC() {
            return JHMC;
        }

        public void setJHMC(String JHMC) {
            this.JHMC = JHMC;
        }

        public String getST() {
            return ST;
        }

        public void setST(String ST) {
            this.ST = ST;
        }

        public String getET() {
            return ET;
        }

        public void setET(String ET) {
            this.ET = ET;
        }

        public String getSPZT() {
            return SPZT;
        }

        public void setSPZT(String SPZT) {
            this.SPZT = SPZT;
        }

        public String getSQR() {
            return SQR;
        }

        public void setSQR(String SQR) {
            this.SQR = SQR;
        }

        public String getSQSJ() {
            return SQSJ;
        }

        public void setSQSJ(String SQSJ) {
            this.SQSJ = SQSJ;
        }

        public String getSPR() {
            return SPR;
        }

        public void setSPR(String SPR) {
            this.SPR = SPR;
        }

        public String getSPSJ() {
            return SPSJ;
        }

        public void setSPSJ(String SPSJ) {
            this.SPSJ = SPSJ;
        }

        public String getHMBZ() {
            return HMBZ;
        }

        public void setHMBZ(String HMBZ) {
            this.HMBZ = HMBZ;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.ID);
            dest.writeString(this.JHMC);
            dest.writeString(this.ST);
            dest.writeString(this.ET);
            dest.writeString(this.SPZT);
            dest.writeString(this.SQR);
            dest.writeString(this.SQSJ);
            dest.writeString(this.SPR);
            dest.writeString(this.SPSJ);
            dest.writeString(this.HMBZ);
        }

        public DataBean() {
        }

        protected DataBean(Parcel in) {
            this.ID = in.readString();
            this.JHMC = in.readString();
            this.ST = in.readString();
            this.ET = in.readString();
            this.SPZT = in.readString();
            this.SQR = in.readString();
            this.SQSJ = in.readString();
            this.SPR = in.readString();
            this.SPSJ = in.readString();
            this.HMBZ = in.readString();
        }

        public static final Parcelable.Creator<DataBean> CREATOR = new Parcelable.Creator<DataBean>() {
            @Override
            public DataBean createFromParcel(Parcel source) {
                return new DataBean(source);
            }

            @Override
            public DataBean[] newArray(int size) {
                return new DataBean[size];
            }
        };
    }
}
